> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop Container/Pod/Sandbox

> Stop a running container/pod/sandbox by its ID.



## OpenAPI

````yaml /v2/reference/api-docs/gateway.swagger.json POST /containers/{containerId}/stop
openapi: 3.0.0
info:
  title: gateway.proto
  version: version not set
servers:
  - url: https://app.beam.cloud/api/v1/gateway
  - url: /api/v1/gateway
security:
  - bearerAuth: []
tags:
  - name: GatewayService
paths:
  /containers/{containerId}/stop:
    post:
      tags:
        - GatewayService
      operationId: GatewayService_StopContainer
      parameters:
        - name: containerId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gatewayStopContainerResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    gatewayStopContainerResponse:
      type: object
      properties:
        ok:
          type: boolean
        errorMsg:
          type: string
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````